Page MenuHomePhabricator

New editor numbers WMDE - special metrics request
Closed, ResolvedPublic

Description

  1. Retention rate of our campaigns: Of all the users who registered via our campaigns how many are still active after 4 weeks and how many are still active after 6 months after their respective registration? Active is defined as making at least 1 edit in the mentioned time frame.
  2. Overall comparison: Of the users who self-registered between 1st March 2018 and 28th February 2019 (not via our campaigns, how many have been still active 4 weeks after their registration and how many have been active 6 months after their registration?
  3. Community age: In the German speaking Wikipedia community how old are the user accounts (in terms of years) in the different activity levels (edit classes)? We can limit that to time frames of 1, 2 and 3 years in the past from now.

activity levels:
1 to 4 edits per month
5 to 24 edits
25 to 99 edits
100 or more edits

What would be the earliest to deliver this data?
If it makes a difference in terms of deliver date no. 2 and 3 can be neglected.

Event Timeline

Verena created this task.Sep 27 2019, 12:41 PM

@Verena I will inspect (1) now and will get back to you as soon as I have the estimate.

GoranSMilovanovic triaged this task as High priority.Sep 27 2019, 2:27 PM

@Verena I should be able to produce the numbers for (1) by sometime tomorrow.

@Verena @WMDE-leszek Problems in accessing MariaDB storage from stat1007:

mysql --defaults-file=/etc/mysql/conf.d/analytics-research-client.cnf -h analytics-slave.eqiad.wmnet -A -e \"use log; show tables from log like '%ServerSideAccountCreation%';
ERROR 2013 (HY000): Lost connection to MySQL server at 'reading authorization packet', system error: 2 "No such file or directory"

also using the analytics-mysql utility (see: https://wikitech.wikimedia.org/wiki/Analytics/Systems/MariaDB)

analytics-mysql dewiki -e 'show tables';
ERROR 2013 (HY000): Lost connection to MySQL server at 'reading authorization packet', system error: 2 "No such file or directory"

Opening a ticket for this. @Verena until this issue is settled I cannot offer you any numbers.

@Verena switching all related analytics procedures to stat1004 from stat1007 now (see related: T234160#5532967)

GoranSMilovanovic added a comment.EditedSep 30 2019, 11:00 AM

@Verena

Retention rate of our campaigns: Of all the users who registered via our campaigns how many are still active after 4 weeks and how many are still active after 6 months after their respective registration? Active is defined as making at least 1 edit in the mentioned time frame.

Out of 3362 total user registrations via the WMDE campaigns since 2017:

  • 809 (24%) have made at least one edit until the 4th week following their registration, while
  • 857 (25%) have made at least one edit until the 6th month following their registration.

The edits made until the 6th month encompass the class of edits made until the 4th week, of course.

Your questions (2) and (3) will take more time to answer, and at this point I need to focus on Wikidata related tasks. However, I will report back as soon as I have something on (2) and (3).

GoranSMilovanovic lowered the priority of this task from High to Medium.Sep 30 2019, 3:15 PM

Thank you for solving the problem and delivering today.

Please regard (2) as cancelled. Waiting for (3) is fine for me.

@Verena

Community age: In the German speaking Wikipedia community how old are the user accounts (in terms of years) in the different activity levels (edit classes)? We can limit that to time frames of 1, 2 and 3 years in the past from now.

Here are the numbers:

                             before 2017           2017        2018       2019
1 - 4 edits                  794999                66753       63587      40788
5 - 24 edits                 245636                13441       11107      6718
25 - 99 edits                40361                 1939        1649       911
100 or more edits            23420                 604          624       251

Please let me know if you need anything else here or resolve the ticket. Thanks.

Verena added a comment.Oct 1 2019, 3:36 PM

@GoranSMilovanovic Please give me some explanation on the data and your understanding what the numbers mean (Because I don't know it). We might have had a misunderstanding here.

GoranSMilovanovic added a comment.EditedOct 1 2019, 3:40 PM

@Verena

Columns: before 2017, 2017, 2018, and 2019: the year in which the user registered;
Rows: edit classes;
Cells: the number of users in the respective edit class (rows) who registered in the respective year (columns).

From your request:

We can limit that to time frames of 1, 2 and 3 years in the past from now.

That is why I've used the following time frames for user registrations: 2017, 2018, 2019, and I added before 2017 for reasons of comparison.

Verena added a comment.Oct 1 2019, 4:03 PM

I understand. Do these numbers apply to a specific time frame or are these lifetime edit counts?
E.g. in month xx of the year xxxx of all the users who made 1 to 4 edits, 40,788 have registered in 2019 vs.
of all the users who made 1 to 4 edits until now, 40,788 have registered in 2019.

@Verena As already communicated in an email earlier today:

...of all the users who made 1 to 4 edits until now, 40,788 have registered in 2019

is the correct interpretation.

Verena added a comment.Oct 2 2019, 9:37 AM

Thank you.

@Verena Should we resolve this ticket then?

Verena closed this task as Resolved.Oct 9 2019, 9:37 AM